<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "contextual_message".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ContextualMessage".
 *
 * Columns in table "contextual_message" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $employer_id
 * @property integer $network_id
 * @property integer $sub_specialty_id
 * @property integer $practice_group_id
 * @property integer $practice_id
 * @property integer $treatment_id
 * @property integer $quality_area_id
 * @property integer $provider_id
 * @property integer $loggedin_status
 * @property integer $warning_level
 * @property integer $service_type_id
 * @property string $contextual_message
 *
 */
abstract class BaseContextualMessage extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'contextual_message';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ContextualMessage|ContextualMessages', $n);
    }

    public static function representingColumn()
    {
        return 'contextual_message';
    }

    public function rules()
    {
        return array(
            array('id, service_type_id', 'required'),
            array('id, employer_id, network_id, sub_specialty_id, practice_group_id, practice_id, treatment_id, '
                . 'quality_area_id, provider_id, loggedin_status, warning_level, service_type_id', 'numerical',
                'integerOnly' => true),
            array('contextual_message', 'length', 'max' => 255),
            array('employer_id, network_id, sub_specialty_id, practice_group_id, practice_id, treatment_id, '
                . 'quality_area_id, provider_id, loggedin_status, warning_level, contextual_message',
                'default', 'setOnEmpty' => true, 'value' => null),
            array('id, employer_id, network_id, sub_specialty_id, practice_group_id, practice_id, treatment_id,'
                . ' quality_area_id, provider_id, loggedin_status, warning_level, service_type_id, '
                . 'contextual_message', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'employer_id' => Yii::t('app', 'Employer'),
            'network_id' => Yii::t('app', 'Network'),
            'sub_specialty_id' => Yii::t('app', 'Sub Specialty'),
            'practice_group_id' => Yii::t('app', 'Practice Group'),
            'practice_id' => Yii::t('app', 'Practice'),
            'treatment_id' => Yii::t('app', 'Treatment'),
            'quality_area_id' => Yii::t('app', 'Quality Area'),
            'provider_id' => Yii::t('app', 'Provider'),
            'loggedin_status' => Yii::t('app', 'Loggedin Status'),
            'warning_level' => Yii::t('app', 'Warning Level'),
            'service_type_id' => Yii::t('app', 'Service Type'),
            'contextual_message' => Yii::t('app', 'Contextual Message'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('employer_id', $this->employer_id);
        $criteria->compare('network_id', $this->network_id);
        $criteria->compare('sub_specialty_id', $this->sub_specialty_id);
        $criteria->compare('practice_group_id', $this->practice_group_id);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('treatment_id', $this->treatment_id);
        $criteria->compare('quality_area_id', $this->quality_area_id);
        $criteria->compare('provider_id', $this->provider_id);
        $criteria->compare('loggedin_status', $this->loggedin_status);
        $criteria->compare('warning_level', $this->warning_level);
        $criteria->compare('service_type_id', $this->service_type_id);
        $criteria->compare('contextual_message', $this->contextual_message, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
